<?php
function pcl_admin_scripts() {
	// load js for admin page
	wp_enqueue_script( 'jquery' );
	wp_enqueue_script( 'ajax-upload', PCL_URL . 'js/ajaxupload.js' );
	wp_enqueue_script( 'pcl-admin', PCL_URL . 'js/admin.js' );
}

function pcl_admin_styles() {
	// load css for admin page
	wp_enqueue_style( 'pcl-admin', PCL_URL . 'css/admin.css' );
}

add_action('admin_menu', 'pcl_add_admin');
function pcl_add_admin() {
	$pcl = add_menu_page('PCL', 'PCL', 'manage_options', 'pcl-settings', 'pcl_admin');

	add_action( "admin_print_scripts-$pcl", 'pcl_admin_scripts' );
	add_action( "admin_print_styles-$pcl", 'pcl_admin_styles' );
	add_action("admin_print_scripts-post.php", 'pcl_admin_scripts');
	add_action("admin_print_scripts-post-new.php", 'pcl_admin_scripts');
	add_action("admin_print_styles-post.php", 'pcl_admin_styles');
	add_action("admin_print_styles-post-new.php", 'pcl_admin_styles');
}

function pcl_admin() {
	$page = ( isset($_GET['page']) ) ? $_GET['page'] : '';

	switch ( $page ) {
		case 'pcl-settings':
			pcl_settings();
		break;
	}
}

function pcl_settings() {
	require_once( PCL_PATH . 'inc/settings.php' );
}

add_action('admin_init', 'pcl_admin_process_form');
function pcl_admin_process_form() {
	if ( isset($_REQUEST['action']) ) {
		switch ( $_REQUEST['action'] ) {
			case 'pcl_save_settings':
				pcl_save_settings();
				break;
		}
	}
}

function pcl_save_settings() {
	$nonce = $_REQUEST['_pcl_nonce'];
	if ( !wp_verify_nonce($nonce, 'pcl-nonce') )
		wp_die('You do not have sufficient permissions to access this page.');
		
	if ( isset($_POST['pcl']) )
		update_option('pcl_settings', $_POST['pcl']);
	
	wp_redirect( admin_url('admin.php?page=pcl-settings&saved=true') );
	exit;
}

add_action('wp_ajax_pcl_upload', 'pcl_upload_callback');
function pcl_upload_callback() {
	if ( isset($_POST['type']) ) {
		if ( $_POST['type'] == 'upload' ) {
			$clickedID = $_POST['data'];
			$filename = $_FILES[$clickedID];
			$filename['name'] = preg_replace('/[^a-zA-Z0-9._\-]/', '', $filename['name']);

			$override['test_form'] = false;
			$override['action'] = 'wp_handle_upload';    
			$uploaded_file = wp_handle_upload( $filename, $override );

			$upload_tracking[] = $clickedID;

			if (!empty($uploaded_file['error'])) {
				echo 'Upload Error: ' . $uploaded_file['error']; 
			} else { 
				echo $uploaded_file['url']; 
			} // Is the Response

			die;
		}
	}
}