jQuery(document).ready(function($){
	$('.pcl_upload_button').each(function(){
		var clickedObject = $(this);
		var clickedID = $(this).attr('id');
		var actionURL = ajaxurl;

		new AjaxUpload(clickedID, {
			action: actionURL,
			name: clickedID, // File upload name
			data: { // Additional data to send
					action: 'pcl_upload',
					type: 'upload',
					data: clickedID
			      },
			autoSubmit: true, // Submit file after selection
			responseType: false,
			onChange: function(file, extension){},
			onSubmit: function(file, extension){
				clickedObject.text('Uploading'); // change button text, when user selects file	
				this.disable(); // If you want to allow uploading only 1 file at time, you can disable upload button
				interval = window.setInterval(function(){
					var text = clickedObject.text();
					if (text.length < 13) {
						clickedObject.text(text + '.'); 
					} else { clickedObject.text('Uploading'); }
				}, 200);
			},
			
			onComplete: function(file, response) {
				   
				window.clearInterval(interval);
				clickedObject.text('Upload Image');	
				this.enable(); // enable upload button
					
				// If there was an error
				if ( response.search('Upload Error') > -1) {
					var buildReturn = '<span class="upload-error">' + response + '</span>';
					$(".upload-error").remove();
					clickedObject.parent().after(buildReturn);
				} else {
				
					$(".upload-error").remove();
					clickedObject.next('span').fadeIn();
					clickedObject.parent().find('.uploaded_url').val(response);
				}
			}
		});
	});

	$('.pcl-tab-link').each(function(){
		var $this = jQuery(this);
		$this.click(function(e){
			var old_id = $this.parent().parent().find('.pcl-tab-selected').find('a').attr('rel');
			var new_id = $this.attr('rel');
			$('#' + old_id).hide();
			$('#' + new_id).show();
			$this.parent().parent().find('.pcl-tab-selected').removeClass('pcl-tab-selected');
			$this.parent().addClass('pcl-tab-selected');
			
			e.preventDefault();
		});
	});

	// Facebook Subscribe
	jQuery('#pcl_fbopt_share').click(function(){
		if ( this.checked == true ) {
			$('.pcl-fb-property').show();
			$('.pcl-url-property').show();
		} else {
			$('.pcl-fb-property').hide();
			$('.pcl-url-property').hide();
		}
	});
	 
	jQuery('#pcl_fb_subs').click(function(){
		if ( this.checked == true ) {
			$('.pcl-fb-subs-property').show();
		} else {
			$('.pcl-fb-subs-property').hide();
		}
	});

	// Facebook Share
	jQuery('#pcl_fb_share').click(function(){
		if ( this.checked == true ) {
			$('.pcl-fb-property').show();
		} else {
			$('.pcl-fb-property').hide();
		}
	});

	// Twitter Share
	jQuery('#pcl_tw_share').click(function(){
		if ( this.checked == true ) {
			$('.pcl-twitter-property').show();
		} else {
			$('.pcl-twitter-property').hide();
		}
	});

	// Pinterest Share
	jQuery('#pcl_pin_share').click(function(){
		if ( this.checked == true ) {
			$('.pcl-pinterest-property').show();
		} else {
			$('.pcl-pinterest-property').hide();
		}
	});

	$('#pcl_unlock').change(function(){
		var option = $("option:selected", this).val();
		if ( option == 'share' ) {
			$('.pcl-optin-property').hide();
			$('.pcl-share-property').show();
			$('.pcl-url-property').show();

			if ( $('#pcl_fb_share').is(":checked") ) {
				$('.pcl-fb-property').show();
			} else {
				$('.pcl-fb-property').hide();
			}

			if ( $('#pcl_tw_share').is(":checked") ) {
				$('.pcl-twitter-property').show();
			} else {
				$('.pcl-twitter-property').hide();
			}

			if ( $('#pcl_pin_share').is(":checked") ) {
				$('.pcl-pinterest-property').show();
			} else {
				$('.pcl-pinterest-property').hide();
			}
			
		} else if ( option == 'optin' ) {
			$('.pcl-optin-property').show();
			$('.pcl-share-property').hide();

			if ( $('#pcl_fb_subs').is(":checked") ) {
				$('.pcl-fb-subs-property').show();
			} else {
				$('.pcl-fb-subs-property').hide();
			}

			if ( $('#pcl_fbopt_share').is(":checked") ) {
				$('.pcl-fb-property').show();
				$('.pcl-url-property').show();
			} else {
				$('.pcl-fb-property').hide();
				$('.pcl-url-property').hide();
			}

			$('.pcl-twitter-property').hide();
			$('.pcl-pinterest-property').hide();
		}
	}).change();

});